Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Sladiv

    java.lang.Object
      org.netlib.lapack.Sladiv

    public class Sladiv

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLADIV performs complex division in  real arithmetic
     *
     *                        a + i*b
     *             p + i*q = ---------
     *                        c + i*d
     *
     *  The algorithm is due to Robert L. Smith and can be found
     *  in D. Knuth, The art of Computer Programming, Vol.2, p.195
     *
     *  Arguments
     *  =========
     *
     *  A       (input) REAL
     *  B       (input) REAL
     *  C       (input) REAL
     *  D       (input) REAL
     *          The scalars a, b, c, and d in the above expression.
     *
     *  P       (output) REAL
     *  Q       (output) REAL
     *          The scalars p and q in the above expression.
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`Sladiv()`

Method Summary
`static void` | `sladiv(float a, float b, float c, float d, floatW p, floatW q)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sladiv

    public Sladiv()

Method Detail

### sladiv

    public static void sladiv(float a,
                              float b,
                              float c,
                              float d,
                              floatW p,
                              floatW q)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD